Snoze Developers
API referenceAutomations

Run

POST
/v1/workspaces/{workspaceId}/automations/{automationId}/run
AuthorizationBearer <token>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

In: header

Path Parameters

workspaceId*string
automationId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/workspaces/string/automations/string/run" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "automationId": "string",    "automationVersionId": "string",    "workspaceId": "string",    "status": "queued",    "source": "manual",    "startedAt": "string",    "completedAt": "string",    "triggerPayload": {},    "output": {},    "error": "string",    "metadata": {},    "startNodeId": "string",    "replayOfRunId": "string",    "nodeRuns": [      {        "id": "string",        "runId": "string",        "nodeId": "string",        "nodeKind": "string",        "scopeKey": "string",        "status": "queued",        "attempt": 0,        "input": {},        "output": {},        "error": "string",        "startedAt": "string",        "completedAt": "string"      }    ]  }}